Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.compliance.FixupData Class Reference

## Public Member Functions
| FixupData ()
| Constructor.
| FixupData (FixupData other)
| Constructor, with another fixup data object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getComment ()
| Get fixup rule comment to explain more details about the rule. More...
String | getName ()
| Get fixup rule name. More...
WStringArray | getReasons ()
| Get fixup reasons. More...
int | getState ()
| Get fixup state. More...
int | getUsed_count ()
| Get represents the count of fixup operation invocations for current data during the conversion. More...
void | setComment (String value)
| Set fixup rule comment to explain more details about the rule. More...
void | setName (String value)
| Set fixup rule name. More...
void | setReasons (WStringArray value)
| Set fixup reasons. More...
void | setState (int value)
| Set fixup state. More...
void | setUsed_count (int value)
| Set represents the count of fixup operation invocations for current data during the conversion. More...

## Static Public Attributes
static final int | e_FixupStateFailure = 1
| A fixup failed.
static final int | e_FixupStateNotRequired = 2
| A fixup was not required.
static final int | e_FixupStateSuccess = 0
| A fixup succeeded.

## Detailed Description

This class represents a fixup data. Fixup data represents the data for a kind of fixup operation triggered during converting process.

## Constructor & Destructor Documentation

## ◆ FixupData()

com.foxit.sdk.addon.compliance.FixupData.FixupData | ( | FixupData | other | ) |

Constructor, with another fixup data object.

Parameters

  [in] | other | Another fixup data object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.compliance.FixupData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getComment()

com.foxit.sdk.addon.compliance.FixupData.getComment | ( |  | ) |

Get fixup rule comment to explain more details about the rule.

Returns
  Fixup rule comment to explain more details about the rule.

## ◆ getName()

com.foxit.sdk.addon.compliance.FixupData.getName | ( |  | ) |

Get fixup rule name.

Returns
  Fixup rule name.

## ◆ getReasons()

com.foxit.sdk.addon.compliance.FixupData.getReasons | ( |  | ) |

Get fixup reasons.

Returns
  Fixup reasons. This may be an empty array. The count of reasons will not exceed used_times.

## ◆ getState()

com.foxit.sdk.addon.compliance.FixupData.getState | ( |  | ) |

Get fixup state.

Returns
  Fixup state. Please refer to values starting from com.foxit.sdk.addon.compliance.FixupData.e_FixupStateSuccess and this should be one of these values.

## ◆ getUsed_count()

com.foxit.sdk.addon.compliance.FixupData.getUsed_count | ( |  | ) |

Get represents the count of fixup operation invocations for current data during the conversion.

Returns
  Represents the count of fixup operation invocations for current data during the conversion.

## ◆ setComment()

com.foxit.sdk.addon.compliance.FixupData.setComment | ( | String | value | ) |

Set fixup rule comment to explain more details about the rule.

Parameters

  [in] | value | Fixup rule comment to explain more details about the rule.

Returns
  None.

## ◆ setName()

com.foxit.sdk.addon.compliance.FixupData.setName | ( | String | value | ) |

Set fixup rule name.

Parameters

  [in] | value | Fixup rule name.

Returns
  None.

## ◆ setReasons()

com.foxit.sdk.addon.compliance.FixupData.setReasons | ( | WStringArray | value | ) |

Set fixup reasons.

Parameters

  [in] | value | Fixup reasons. This may be an empty array. The count of reasons will not exceed used_times.

Returns
  None.

## ◆ setState()

com.foxit.sdk.addon.compliance.FixupData.setState | ( | int | value | ) |

Set fixup state.

Parameters

  [in] | value | Fixup state. Please refer to values starting from com.foxit.sdk.addon.compliance.FixupData.e_FixupStateSuccess and this should be one of these values.

Returns
  None.

## ◆ setUsed_count()

com.foxit.sdk.addon.compliance.FixupData.setUsed_count | ( | int | value | ) |

Set represents the count of fixup operation invocations for current data during the conversion.

Parameters

  [in] | value | Represents the count of fixup operation invocations for current data during the conversion.

Returns
  None.